Loading...
Searching...
No Matches
EdmondsKarp< GR, CAP, TR >::SetFlowMap< T > Struct Template Reference

## Detailed Description

template<typename GR, typename CAP, typename TR>
template<typename T>
struct lemon::EdmondsKarp< GR, CAP, TR >::SetFlowMap< T >

Named parameter for setting FlowMap type

`#include <lemon/edmonds_karp.h>`

Inheritance diagram for EdmondsKarp< GR, CAP, TR >::SetFlowMap< T >:
[legend]

## Additional Inherited Members

Public Types inherited from EdmondsKarp< Digraph, CapacityMap, SetFlowMapTraits< T > >
typedef SetFlowMapTraits< T > | Traits
| The traits class of the algorithm.
typedef Traits::Digraph | Digraph
| The type of the digraph the algorithm runs on.
typedef Traits::CapacityMap | CapacityMap
| The type of the capacity map.
typedef Traits::Value | Value
| The type of the flow values.
typedef Traits::FlowMap | FlowMap
| The type of the flow map.
typedef Traits::Tolerance | Tolerance
| The type of the tolerance.
Public Member Functions inherited from EdmondsKarp< Digraph, CapacityMap, SetFlowMapTraits< T > >
| EdmondsKarp (const Digraph &digraph, const CapacityMap &capacity, Node source, Node target)
| The constructor of the class.
| ~EdmondsKarp ()
| Destructor.
EdmondsKarp & | capacityMap (const CapacityMap &map)
| Sets the capacity map.
EdmondsKarp & | flowMap (FlowMap &map)
| Sets the flow map.
EdmondsKarp & | source (const Node &node)
| Sets the source node.
EdmondsKarp & | target (const Node &node)
| Sets the target node.
EdmondsKarp & | tolerance (const Tolerance &tolerance)
| Sets the tolerance used by algorithm.
const Tolerance & | tolerance () const
| Returns a const reference to the tolerance.
void | init ()
| Initializes the algorithm.
void | init (const FlowMap &flowMap)
| Initializes the algorithm using the given flow map.
bool | checkedInit (const FlowMap &flowMap)
| Initializes the algorithm using the given flow map.
bool | augment ()
| Augments the solution along a shortest path.
void | start ()
| Executes the algorithm.
void | run ()
| Runs the algorithm.
Value | flowValue () const
| Returns the value of the maximum flow.
Value | flow (const Arc &arc) const
| Returns the flow value on the given arc.
const FlowMap & | flowMap () const
| Returns a const reference to the flow map.
bool | minCut (const Node &node) const
| Returns `true` when the node is on the source side of the minimum cut.
void | minCutMap (CutMap &cutMap) const
| Gives back a minimum value cut.